import psychopy.visual
import psychopy.core
import psychopy.event
import ctypes
import random

win = psychopy.visual.Window(fullscr=True)
msg = psychopy.visual.TextStim(win)
clock = psychopy.core.Clock()

obj = ctypes.windll.LoadLibrary('FbiDio.dll')
device = obj.DioOpen("FBIDIO1",0)
obj.DioOutputByte(device,0,0)

res = []
trialDuration = 1.0
for i in range(100):
    offset = random.random()/2.0+0.2
    msg.setText(str(i+1))
    onFlag = False
    clock.reset()
    while clock.getTime()<trialDuration:
        
        if clock.getTime()>offset and onFlag == False:
            obj.DioOutputByte(device,0,1)
            onTime = clock.getTime()
            onFlag = True
        
            while True:
                keys = psychopy.event.getKeys()
                if 'space' in keys:
                    res.append(1000*(clock.getTime()-onTime))
                    break
        
        msg.draw()
        win.flip()
    
    obj.DioOutputByte(device,0,0)

obj.DioClose(device)

fp = open('output_noflip_normalgetKey.txt','w')
for r in res:
    fp.write('%f\n' % (r))
fp.close()
